ROS Resources: Documentation | Support | Discussion Forum | Index | Service Status | ros @ Robotics Stack Exchange
Ask Your Question
1

rosmake android_app_chooser returns error

asked 2011-10-19 01:04:17 -0500

keisuke-m gravatar image

I setup my computer following http://www.ros.org/wiki/ApplicationsPlatform/Clients/Android, but rosmake android_app_chooser returns error.

BUILD FAILED
/home/mechuser/prog/rtm-ros-robotics/android_app_chooser/build.xml:5: The following error occurred while executing this line:
/home/mechuser/prog/rtm-ros-robotics/appmanandroid/build_app.xml:64: The following error occurred while executing this line:
/home/mechuser/prog/android-sdk-linux/tools/ant/pre_setup.xml:4: Your build.xml file is outdated. Delete it and regenerate it with 'android update project'
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2011-11-02 01:20:03 -0500

Kei Okada gravatar image

The tutorial rely on the previous version of the android(and obsoleted) sdk

$ wget http://dl.google.com/android/android-sdk_r13-linux_x86.tgz
$ android update sdk -u -o -t "`android list sdk -o | grep "Android API 9" | awk "{ print \\\$1; } " | sed 's/-//g'`,`android list sdk -o | grep "SDK Platform Android 2.3.1, API 9" | awk "{ print \\\$1; } " | sed 's/-//g'`"

Also, I have do downgrade rosjava_android repository hg update ec39ea3fdb22

Then ant still produce error but ant install works. Should we need to upgrade the wiki tutorial?


edit flag offensive delete link more

Comments

Yes, an update to the tutorial with thew new SDK info would be great.
kwc gravatar image kwc  ( 2011-11-02 04:32:28 -0500 )edit
Ok, I have updated the SDK
Kei Okada gravatar image Kei Okada  ( 2011-11-02 15:30:09 -0500 )edit

Question Tools

Stats

Asked: 2011-10-19 01:04:17 -0500

Seen: 395 times

Last updated: Nov 02 '11